Subject: bug#23461: perl-mode: Displaying HERE-docs as strings instead of comments [PATCH]

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 05 Jan 2021 10:14:13 +0100

[email-masked] (Harald Jörg) writes:

> The trick: The lone "#" is now syntaxified as "whitespace" and
> font-lock-faced as comment.  This is ugly, but also well-contained in
> the offending line, so should not have unwanted effects at a distance.
>
> The tests are designed for, and pass, for both Perl mode and CPerl mode.

Thanks; applied to Emacs 28.  However, the cperl tests failed -- I stuck
a (require 'perl-mode) into the test, and that made it work.  I don't
know whether that's the proper solution here, though -- please have a look.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no